Package org.springframework.aot.generate

# Enum Class GeneratedFiles.Kind

java.lang.Object
java.lang.Enum<GeneratedFiles.Kind>
org.springframework.aot.generate.GeneratedFiles.Kind

All Implemented Interfaces:
  `Serializable`, `Comparable<GeneratedFiles.Kind>`, `Constable`

Enclosing interface:
  GeneratedFiles

public static enum GeneratedFiles.Kind extends Enum<GeneratedFiles.Kind>
The various kinds of generated files that are supported.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CLASS`
A class file containing bytecode.
`RESOURCE`
A resource file that should be directly added to the final application.
`SOURCE`
A source file containing Java code that should be compiled.

## Method Summary

Modifier and Type
Method
Description
`static GeneratedFiles.Kind`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static GeneratedFiles.Kind[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SOURCE

public static final GeneratedFiles.Kind SOURCE
A source file containing Java code that should be compiled.

### RESOURCE

public static final GeneratedFiles.Kind RESOURCE
A resource file that should be directly added to the final application. For example, a `.properties` file.

### CLASS

public static final GeneratedFiles.Kind CLASS
A class file containing bytecode. For example, the result of a proxy generated using CGLIB.

## Method Details

### values

public static GeneratedFiles.Kind[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static GeneratedFiles.Kind valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null